/***************************************************************************\
*                                                                           *
*      Program Name:           CRT Application Framework.                   *
*                                                                           *
*      Copyright:              (c) CRT Multimedia 1994/1995                 *
*                                                                           *
*      Module Name:            FRMMSG.H                                     *
*                                                                           *
*      Module Description:                                                  *
*            Standard framework display object message definitions          *
*                                                                           *
*      Creation Date:          19th June 1994                               *
*                                                                           *
*      Developer Name(s):      Martin Packer                                *
*                              Duncan Lowe                                  *
*                              Richard Jermyn                               *
*                                                                           *
\***************************************************************************/

// ---------------------------------
// define a flag value for all the 
// different possible button states.
// ---------------------------------
#define BS_UP       0
#define BS_DOWN     1
#define BS_DISABLED 2
#define BS_UMOUSE   3
#define BS_FOCUS    4
#define BS_DONE     5
#define BS_ENABLE   6

// -------------------
// framework messages
// -------------------
#define DO_LOW_FRAME_MESSAGE                -32767

#define DO_HIDE                             -32767
#define DO_SHOW                             -32766
#define DO_MOVE                             -32765
#define DO_SIZE                             -32764
#define DO_UPDATE                           -32763
#define DO_DEACTIVATE                       -32762
#define DO_ACTIVATE                         -32761
#define DO_DEACTIVATE_ALL                   -32760                      
#define DO_ACTIVATE_ALL                     -32759
#define DO_DESTROY                          -32758
#define DO_CREATE_CHILD_FROM_CRATE          -32757
#define DO_CREATE_CHILD_FROM_MEMBER         -32756  
#define DO_DESTROY_CHILD                    -32755
#define DO_ASSOCIATE_NEW_CRATE              -32754
#define DO_ASSOCIATE_NEW_MEMBER             -32753
#define DO_INVALIDATE                       -32752
#define DO_GET_CHILD                        -32751
#define DO_MAKE_PARENT                      -32750

#define DO_HIGH_FRAME_MESSAGE               -32750



/////////////////////////////////////////////////////////////////////////////
//   Graphic Item Display Object Messages - range: 100 - 199                

#define DO_ADD_ITEM                         100
#define DO_REMOVE_ITEM                      101
#define DO_INVALIDATE_ITEM                  102
#define DO_SHOW_ITEM                        103


/////////////////////////////////////////////////////////////////////////////
//   Hotspot Window Display Object Messages - range: 200 - 299                                        
             
// sent by a hotspot window when the mouse moves over it
#define DO_HOTSPOT_MOUSEMOVE                201 

// sent by a hotspot window when the left button is pressed
#define DO_HOTSPOT_LBUTTONDOWN              202

// sent by a hotspot window when the left button is released
#define DO_HOTSPOT_LBUTTONUP                203

// causes all the hotspots in a given hotspot window to be deactivated
#define DO_HOTSPOT_DEACTIVATE_ALL           204

// causes all the hotspots in a given hotspot window to be deactivated
#define DO_HOTSPOT_ACTIVATE_ALL             205
                                            
// causes the hotspot indicated by the first parameter to be deactivated
#define DO_HOTSPOT_DEACTIVATE               206

// causes the hotspot indicated by the first parameter to activated
#define DO_HOTSPOT_ACTIVATE                 207

// indicates to the DO that a timer event set up to delay presses has completed
#define DO_HOTSPOT_TIMER_COMPLETE           208



/////////////////////////////////////////////////////////////////////////////
//   MCI (Video and Audio) Display Object Messages - range: 300 - 399                                                    

// MCI notification messages
#define DO_MCI_NOTIFY_ABORTED               301
#define DO_MCI_NOTIFY_SUCCESSFUL            302
#define DO_MCI_NOTIFY_SUPERSEDED            303
#define DO_MCI_NOTIFY_FAILURE               304

// MCI command messages
#define DO_MCI_STOP                         305
#define DO_MCI_PAUSE                        306
#define DO_MCI_RESUME                       307
#define DO_MCI_SEEK                         308
#define DO_MCI_PLAY                         309

// other MCI targetted messages
#define DO_MCI_DESTROY                      310
#define DO_MCI_HIDE                         311
#define DO_MCI_SHOW                         312
#define DO_MCI_HIDE_ON_SUCCESS              313
#define DO_MCI_SHOW_PLAY_HIDE               314


/////////////////////////////////////////////////////////////////////////////
//   Animating Button Display Object Messages - range: 400 - 499 

#define	DO_ANIMATING_BUTTON_PLAY			400                                                   
#define	DO_ANIMATING_BUTTON_STOP			401                                                   
#define	DO_ANIMATING_BUTTON_PAUSE			402                                                   
#define	DO_ANIMATING_BUTTON_RESUME			403
#define DO_ANIMATING_BUTTON_FINISHED		404                                                   

/////////////////////////////////////////////////////////////////////////////
//   Misc.  Display Object Messages - range: 500 - 599 

// informs parent of CXGRichEdit object that RTF action has been done
#define	DO_RTF_ACTION_DONE      			500     
#define WM_RTF_ACTION_DONE                  501

// repeat the last audio instruction in the demo or tryit
#define	DO_REPEAT_LAST_AUDIO      			502  
#define WM_REPEAT_LAST_AUDIO                503